EC CUBE 3系:エラーで購入済プラグインが見れない場合の対処法

こんにちは、ミート肉です。

最近仕事が忙しくて、色んな案件でトラぶってもナレッジをためていくことおサボりがちで、自分の首を絞めています。ホント駄目なやつ目(←オイラが

んで、今回はEC CUBE 3系の購入済プラグインを確認する時に発生したエラーについての対処法です。

結構な人が以下のエラーで悩まされていると思います。

0 : error setting certificate verify locations: CAfile:/usr/home/aa173g7bi9/html/app/config/eccube/cacert.pem CApath: none

ここで指定されている『cacert.pem』ファイルのソースを見てみたら、全くの空っぽ。
従って、中身を入れれば良いのだと調べてみたら、ここにソースがありました。

https://curl.haxx.se/docs/caextract.html

このページ過去ログも有ります。
『cacert.pem』ファイルをダウンロードし、エラーで指摘されているフォルダに保存。
そうすると、エラーも消えて購入済プラグインが確認できます。

ってか、何で最初から入ってないんだ?

返信を残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です